Elasticsearch error updating AtoM to version 2.5

160 views
Skip to first unread message

Isabel Martín

unread,
May 16, 2019, 8:27:39 AM5/16/19
to AtoM Users
Good afternoon, I'm updating to version 2.5 and I'm having problems with elasticsearch.

First I upgraded from java 7 to java 8, and then I updated elasticsearch from version 1.7.6 that I had with AtoM 2.4.1 to version 5.6.16.

Next I installed AtoM and created the new bd by cleaning and reloading the mysqldump data.

I have run php symfony tools: upgrade-sql and when launching the populate I get the following error:

MapperParsingException [No handler for type [keyword] declared on field [uuid]]

From there, the indexes have stopped working. I hope you can help me, thanks in advance.

James Grimster

unread,
May 16, 2019, 8:32:57 AM5/16/19
to AtoM Users
Hello Isabel

We are finding on our installs that we cannot go from ES 1.x to ES 5.6 with the upgrade when there are already index files in the 1.x

I am sure there is a more elegant solution, but the only way we can get our ES 5.6s to start is to delete the actual files at /var/lib/elasticsearch/elasticsearch/nodes/*
so that Elastic Search can start

all best

James

Isabel Martín

unread,
May 16, 2019, 8:43:16 AM5/16/19
to AtoM Users
Hello, thanks for the answer. I followed your instructions but I still get the same error. A greeting

Dan Gillean

unread,
May 16, 2019, 12:23:05 PM5/16/19
to ICA-AtoM Users
Hi Isabel, 

I think James is onto something here. For the upgrade to work, the index needs to be created from the database, and not upgraded within Elasticsearch. 

I would recommend that you fully remove any older versions of ES first, and then install ES 5.6 from scratch. 

The following should completely uninstall the current version of ES in a default Ubuntu installation, including any config files and older indexes: 
  • sudo apt-get --purge autoremove elasticsearch
  • sudo rm -rf /var/lib/elasticsearch
  • sudo rm -rf /etc/elasticsearch
Then you can return to the section on installing Elasticsearch and begin that part again. Once you've completed those steps, you should be able to return to the web installer. 

Let us know how it goes! 

Dan Gillean, MAS, MLIS
AtoM Program Manager
Artefactual Systems, Inc.
604-527-2056
@accesstomemory


--
You received this message because you are subscribed to the Google Groups "AtoM Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to ica-atom-user...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/ica-atom-users/cba16646-9f86-4ddd-a21f-f7d4c2dcd378%40googlegroups.com.

Isabel Martín

unread,
May 17, 2019, 3:32:18 AM5/17/19
to AtoM Users
Good morning, Dan, the solution you have given me has worked perfectly, thank you.

I am doing the migration on a development server to debug the errors. When doing the migration on the production server, would I have to do the same? That is, remove the previous elasticsearch installation and install the new one. Or is there another, safer system?

Thanks for everything.

To unsubscribe from this group and stop receiving emails from it, send an email to ica-ato...@googlegroups.com.

Dan Gillean

unread,
May 17, 2019, 11:29:23 AM5/17/19
to ICA-AtoM Users
Hi Isabel, 

I think removing the previous version of Elasticsearch entirely before installing a new one is likely the easiest option. It *may* be possible to have multiple different versions installed without conflicts, but you would need to ensure that the ports used, and the index name, are different for each installation - and at the very least, you would probably need to delete the current index: 
  • curl -XDELETE 'localhost:9200/atom'
I haven't personally experimented with this much, so that's as much advice as I can offer! I think the simplest solution would be to remove the old version before installing ES 5.6. 

Cheers, 

Dan Gillean, MAS, MLIS
AtoM Program Manager
Artefactual Systems, Inc.
604-527-2056
@accesstomemory

To unsubscribe from this group and stop receiving emails from it, send an email to ica-atom-user...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/ica-atom-users/0cba2f99-aae6-4e28-b183-ca531a1d9cfb%40googlegroups.com.
Reply all
Reply to author
Forward
0 new messages